xpra icon
Bug tracker and wiki

Opened 2 months ago

Closed 2 months ago

#1864 closed defect (invalid)

ubuntu 18.04 package

Reported by: steverweber Owned by: Antoine Martin
Priority: minor Milestone: 2.4
Component: packaging Version: 2.1.x
Keywords: Cc:

Description (last modified by Antoine Martin)

the current package in ubuntu 18.04 seems to have some bugs.

the package is missing dependency python websockify

Jun 03 18:13:16 do004466 xpra[2877]: 2018-06-03 18:13:16,059  either fix your installation or use the 'mdns=no' option
Jun 03 18:13:16 do004466 xpra[2877]: 2018-06-03 18:13:16,064 html server unavailable, cannot find websockify module
Jun 03 18:13:16 do004466 xpra[2877]: 2018-06-03 18:13:16,195 xpra proxy version 2.1.3-r17247M 64-bit

after adding the package:

apt install python-websockify

the package seems to be missing the html dir /usr/share/xpra/www

Jun 03 18:14:57 do004466 xpra[2962]: 2018-06-03 18:14:57,250 Error: cannot find the html web root
Jun 03 18:14:57 do004466 xpra[2962]: 2018-06-03 18:14:57,250  '/usr/share/xpra/www' does not exist

this might be a bug on my end because I did try switching between the beta package and the native distro package... but still seems a little messed up.

xpra version 2.1.3
https://launchpad.net/ubuntu/bionic/+source/xpra

Change History (1)

comment:1 Changed 2 months ago by Antoine Martin

Description: modified (diff)
Milestone: 2.4
Resolution: invalid
Status: newclosed

Don't use the packages provided by the Ubuntu repositories, those are always broken and dangerous in many ways, for details see wiki/Packaging/DistributionPackages.

websockify is a Recommends dependency of our packages so it should be installed automatically.

Note: See TracTickets for help on using tickets.